PUT
/
v1
/
buy
/
cart
Add to cart
curl --request PUT \
  --url https://api.wavix.com/v1/buy/cart \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    "541139862174",
    "541139862175"
  ]
}
'
[
  {
    "activation_fee": "15.0",
    "channels": "4",
    "city": "Buenos Aires",
    "cnam": false,
    "country": "Argentina",
    "country_short_name": "AR",
    "domestic_cli": false,
    "free_min": 0,
    "id": 541139862174,
    "monthly_fee": "10.0",
    "number": "541139862174",
    "per_min": "0.01",
    "require_docs": [],
    "sms_enabled": false,
    "sms_price": 0
  }
]

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Body

application/json

Phone numbers to add to the cart.

ids
string[]
required

Phone numbers to add to the cart.

Example:
["541139862174", "541139862175"]

Response

Returns the phone numbers now in the cart.

id
integer<int64>
required

Phone number ID.

Example:

541139862174

activation_fee
string
required

One-time activation fee in USD.

Example:

"15.0"

monthly_fee
string
required

Monthly fee in USD.

Example:

"10.0"

per_min
string
required

Price per inbound minute in USD.

Example:

"0.01"

channels
string<int32>
required

Maximum number of concurrent inbound calls.

Example:

"4"

city
string
required

City where the phone number originates.

Example:

"Buenos Aires"

country
string
required

Country where the phone number originates.

Example:

"Argentina"

country_short_name
string
required

Two-letter ISO country code.

Example:

"AR"

cnam
boolean | null
required

Indicates whether CNAM can be activated.

Example:

false

free_min
integer<int32>
required

Number of free inbound minutes.

Example:

0

number
string
required

Phone number in E.164 format.

Example:

"541139862174"

require_docs
enum<string>[]
required

Documents to activate the number.

Document type required to activate a phone number. One of: id - any form of ID, address - proof of address, localaddress - proof of local address within the country.

Available options:
id,
address,
localaddress
Example:
["address"]
sms_enabled
boolean
required

Indicates whether the phone number can receive inbound SMS and MMS messages.

Example:

false

sms_price
number<float>
required

Price per inbound SMS segment in USD.

Example:

0

domestic_cli
boolean

Indicates whether the number can be used as the Caller ID for local calls.

Example:

true

Example:
[
{
"activation_fee": "15.0",
"channels": "4",
"city": "Buenos Aires",
"cnam": false,
"country": "Argentina",
"country_short_name": "AR",
"domestic_cli": false,
"free_min": 0,
"id": 541139862174,
"monthly_fee": "10.0",
"number": "541139862174",
"per_min": "0.01",
"require_docs": [],
"sms_enabled": false,
"sms_price": 0
}
]